Subject: [PATCH 00/13] Update Pandoc.

From: Pierre Neidhardt <[email-masked]>
Date: Wed, 26 Feb 2020 12:34:42 +0100

Update ghc-pandoc to 2.92 and rename it to pandoc.
This closes bug 33844.

Questions:

- Should this go on staging?  It rebuilds a few hundred packages, maybe less
than 300.
- I'm not 100% sure that updating the Haskell libraries didn't break
anything.  I guess the continuous integration will tell us.
- 3-4 libraries seemed to have many dependents and updating them would break
  stuff, so instead I created a versioned package, e.g. ghc-regex-base-0.94.
  Is this OK?  Is there a best practice here?

Pierre Neidhardt (13):
  gnu: ghc-hsyaml: Update to 0.2.1.0.
  gnu: ghc-doctemplates: Update to 0.8.1.
  gnu: Add ghc-regex-base-0.94.
  gnu: ghc-regex-pcre-builtin: Update to 0.95.1.1.8.43.
  gnu: ghc-skylighting-core: Update to 0.8.3.2.
  gnu: ghc-skylighting: Update to 0.8.3.2.
  gnu: ghc-pandoc-types: Update to 1.20.
  gnu: ghc-texmath: Update to 0.12.0.1.
  gnu: Add ghc-base-compat-0.11.
  gnu: Add ghc-optparse-applicative-0.15.
  gnu: ghc-haddock-library: Update to 1.8.0.
  gnu: ghc-pandoc: Update to 2.9.2.
  gnu: ghc-pandoc: Rename to pandoc.

 gnu/local.mk                                  |   2 -
 gnu/packages/haskell-xyz.scm                  | 130 ++++++++++++------
 .../patches/ghc-pandoc-fix-html-tests.patch   |  92 -------------
 .../patches/ghc-pandoc-fix-latex-test.patch   |  31 -----
 4 files changed, 89 insertions(+), 166 deletions(-)
 delete mode 100644 gnu/packages/patches/ghc-pandoc-fix-html-tests.patch
 delete mode 100644 gnu/packages/patches/ghc-pandoc-fix-latex-test.patch

-- 
2.25.0